## USAGE

sudo docker logs -f sri-dino-pyserver01  # 查看日志

echo "操作：停服更新" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker-compose --file compose.yml logs --follow

echo "操作：代码更新" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml restart \
&& sudo docker-compose --file compose.yml logs --follow

echo "操作：构建调试" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker exec -it sri-dino-pyserver01 bash

echo "操作：启动调试环境" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker exec -it sri-dino-pyserver01 bash

echo "操作：重启调试环境" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml restart \
&& sudo docker exec -it sri-dino-pyserver01 bash

echo "操作：进入调试环境" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker exec -it sri-dino-pyserver01 bash

echo "操作：初装启动" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach --build \
&& sudo docker-compose --file compose.yml logs --follow

echo "操作：开发调试" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml down \
&& sudo docker-compose --file compose.yml up --detach \
&& sudo docker exec -it sri-dino-pyserver01 bash

echo "操作：跟踪日志" \
&& project_path="/home/sri/repositories/repositories/SRI-DINO.Server-py/sri-server-bg03" \
&& cd ${project_path} \
&& sudo docker-compose --file compose.yml logs --follow